plot.SVDcv {SpatioTemporal} | R Documentation

## Plot and Boxplot cross-validation statistics for `SVDcv` object

### Description

`plot` and `boxplot` methods for class `SVDcv`. Plots summary statistics for the cross-validation. Plots include RMSE, R2, BIC, and scatter plots of BIC for each column.

### Usage

    ## S3 method for class 'SVDcv'
    plot(x, y = c("all", "MSE", "R2", "AIC", "BIC"),
      pairs = FALSE, sd = FALSE, ...)

    ## S3 method for class 'SVDcv'
    boxplot(x, y = c("all", "MSE", "R2", "AIC", "BIC"), ...)

### Arguments

`x` | `SVDcv` object to plot.
`y` | Which CV-statistic to plot. For pairs `"all"` implies `"BIC"`.
`pairs` | `TRUE`/`FALSE` plot cross-validation statistics, or scatter plot of individual BIC:s.
`sd` | `TRUE`/`FALSE` add uncertainty to each CV-statistic.
`...` | Additional parameters passed to `plot` or `pairs`.

### Value

Nothing

### Author(s)

Johan Lindstrom

### See Also

Other SVDcv methods: `SVDsmooth`, `print.SVDcv`

Other SVD for missing data: `SVDmiss`, `SVDsmooth`, `calcSmoothTrends`, `print.SVDcv`, `updateTrend.STdata`

### Examples

      ##See SVDsmooth example

[Package SpatioTemporal version 1.1.9.1 Index]